Name:     nonstd-string-view-lite-devel
%global altname string-view-lite
Version:  1.7.0
Release:  1%{?dist}
Summary:  A C++17-like string_view for C++98, C++11 and later
License:  Boost
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
string-view lite is a single-file header-only library to provide a non-owning
reference to a string. The library provides a C++17-like string_view for use
with C++98 and later. If available, std::string_view is used, unless configured
otherwise.

%prep
%autosetup -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_datadir}
mv -f %{buildroot}/%{_libdir}/cmake %{buildroot}/%{_datadir}/

%check
%ctest

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/nonstd/*.hpp
%{_datadir}/cmake/*/*.cmake

%changelog
* Wed Aug 10 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 1.7.0-1
- Updated to 1.7.0
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 1.6.0-1
- Initial version of the package
